Перейти до вмісту
AstroWay/api v2.19.0 · docs
усі системи в нормі
UA EN

AI Synastry Narrative

POST
/reports/ai/synastry-narrative

Long-form relationship narrative grounded in cross-chart aspects. Inputs: chart1, chart2, language, tone, length.

curl -X POST https://api.astroway.info/v1/reports/ai/synastry-narrative \
-H "X-Api-Key: aw_live_..." \
-H "Content-Type: application/json"
object
chart1
required

Birth data for a single natal chart. Required: date (YYYY-MM-DD), time (HH:mm:ss). Defaults to lat/lon/tz=0 if omitted; pass real values for accurate computation.

object
date
required
string
/^\d{4}-\d{2}-\d{2}$/
time
required
string
/^\d{2}:\d{2}:\d{2}$/
timezoneOffset
number
0 nullable
latitude
number
0 nullable
longitude
number
0 nullable
houseSystem
string
default: P
name
string
""
city
string
""
zodiacType
string
Allowed values: tropical sidereal
ayanamsaId
number
nullable
cosmogram
boolean
key
additional properties
nullable
chart2
required

Birth data for a single natal chart. Required: date (YYYY-MM-DD), time (HH:mm:ss). Defaults to lat/lon/tz=0 if omitted; pass real values for accurate computation.

object
date
required
string
/^\d{4}-\d{2}-\d{2}$/
time
required
string
/^\d{2}:\d{2}:\d{2}$/
timezoneOffset
number
0 nullable
latitude
number
0 nullable
longitude
number
0 nullable
houseSystem
string
default: P
name
string
""
city
string
""
zodiacType
string
Allowed values: tropical sidereal
ayanamsaId
number
nullable
cosmogram
boolean
key
additional properties
nullable
language
string
default: uk
Allowed values: uk en de ru pl es pt hi fr ko it ja id tr nl ro cs vi ar el hu
tone
string
default: warm
Allowed values: warm professional concise
length
string
default: medium
Allowed values: short medium long

Successful calculation

object
ok
boolean
Example
true
data
object
narrative
string
disclaimer
string
model
string
tokens
object
input
number
output
number
Example
{
"ok": true,
"data": {
"narrative": "...",
"disclaimer": "...",
"model": "...",
"tokens": {
"input": 720,
"output": 1800
}
}
}

Validation error

Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?